## libxtrxll 0.0.1%2Bgit20201202.1b6eddf

=== debian/changelog ===
libxtrxll (0.0.1+git20201202.1b6eddf-1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.
  * 50-xtrx-usb3380.rules: Group usb does not exist, use plugdev instead.
    (Closes: #1001608)

  [ Vagrant Cascadian ]
  * Use a relative path for RPATH. (Closes: #1003370)

 -- Christoph Berg <myon@debian.org>  Wed, 09 Nov 2022 10:26:52 +0100

libxtrxll (0.0.1+git20191021.3229d65-1) unstable; urgency=medium

  * Initial release (Closes: #945153)

 -- Sepi Gair <sepigair@email.cz>  Fri, 29 Nov 2019 14:53:10 +0100

## libxtrxll 0.0.1+git20191021.3229d65

=== mod_pcie/CMakeLists.txt ===
# PCIe module for LL

include_directories(..)

if(XTRXLL_STATIC)
    if(CMAKE_SYSTEM_NAME MATCHES "Linux")
        add_definitions(-fPIC)
    endif()
    add_definitions(-DXTRXLL_STATIC)
endif()

add_library(xtrxll_pcie ${PLUGIN_TYPE} xtrxll_pcie_linux.c)
if(NOT XTRXLL_STATIC)
    target_link_libraries(xtrxll_pcie xtrxll)
    set_target_properties(xtrxll_pcie PROPERTIES VERSION ${LIBVER} SOVERSION ${MAJOR_VERSION})

    install(TARGETS xtrxll_pcie DESTINATION ${XTRXLL_LIBRARY_DIR})
endif()

=== tests/CMakeLists.txt ===
# Low-level tests
include_directories(..)

add_executable(test_xtrxll test_xtrxll.c)
target_link_libraries(test_xtrxll xtrxll ${SYSTEM_LIBS})

add_executable(test_xtrxflash test_xtrxflash.c)
target_link_libraries(test_xtrxflash xtrxll ${SYSTEM_LIBS})

install(TARGETS test_xtrxll test_xtrxflash DESTINATION ${XTRXLL_UTILS_DIR})

=== debian/control ===
Source: libxtrxll
Priority: optional
Maintainer: Sepi Gair <sepigair@email.cz>
Build-Depends: debhelper-compat (= 12), cmake, libusb-1.0-0-dev, libusb3380-dev
Standards-Version: 4.4.1
Section: libs
Homepage: https://github.com/xtrx-sdr/libxtrxll
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/libxtrxll
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/libxtrxll.git

Package: libxtrxll-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libxtrxll0 (= ${binary:Version}), ${misc:Depends}
Description: Low-level XTRX hardware abstraction library: development
 This package is part of the library set for XTRX support.
 .
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains development files.

Package: libxtrxll0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xtrx-dkms
Description: Low-level XTRX hardware abstraction library
 This package is part of the library set for XTRX support.
 .
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains the shared libraries and utilities for testing them.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DXTRXLL_STATIC=OFF

override_dh_installudev:
	cp mod_usb3380/udev/50-xtrx-usb3380.rules debian/libxtrxll0.udev
	dh_installudev --priority=50

override_dh_clean:
	rm -f debian/libxtrxll0.udev
	dh_clean

=== debian/watch ===
version=4
opts=mode=git,pretty=0.0.1+git%cd.%h, \
 https://github.com/xtrx-sdr/libxtrxll.git \
 heads/master debian

## libxtrxll 0.0.1+git20201202.1b6eddf

=== CMakeLists.txt ===
project(libxtrxll C)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
cmake_minimum_required(VERSION 2.8)

# Set the version information here
set(MAJOR_VERSION 0)
set(API_COMPAT    0)
set(MINOR_VERSION 1)
set(MAINT_VERSION 2)

set(LIBVER  "${MAJOR_VERSION}.${API_COMPAT}.${MINOR_VERSION}")

# determine target architecture
execute_process(COMMAND ${CMAKE_C_COMPILER} -print-multiarch OUTPUT_VARIABLE CC_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)
if(CC_ARCH MATCHES "i386")
	message(STATUS "Building for i386")
	set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386")
	set(ARCH "x86")
elseif(CC_ARCH MATCHES "x86_64")
	message(STATUS "Building for x86_64")
	set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
	set(ARCH "x86")
elseif(CC_ARCH MATCHES "aarch64")
	message(STATUS "Building for aarch64")
	set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "arm64")
	set(ARCH "arm")
elseif(CC_ARCH MATCHES "arm.*eabihf")
	message(STATUS "Building for armhf")
	set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "armhf")
	set(ARCH "arm")
else()
	message(WARNING "Unknown target architecture ${CC_ARCH}, forcing to FORCE_ARCH=${FORCE_ARCH} variable if it was provided")
	set(ARCH ${FORCE_ARCH})
endif()

set(CROSS_COMPILE_INCLUDE_PATH "/usr/${CC_ARCH}/include")
set(CROSS_COMPILE_LIB_PATH     "/usr/${CC_ARCH}/lib")


if(CMAKE_SYSTEM_NAME MATCHES "Linux")
	set(SYSTEM_LIBS rt dl pthread)
elseif(CMAKE_SYSTEM_NAME MATCHES "Windows")
	set(SYSTEM_LIBS "")
	if(CMAKE_COMPILER_IS_GNUCC)
		set(CMAKE_SHARED_LINKER_FLAGS " -Wl,--kill-at -static-libgcc ")
	endif(CMAKE_COMPILER_IS_GNUCC)
elseif(CMAKE_SYSTEM_NAME MATCHES "Darwin")
	set(SYSTEM_LIBS rt dl pthread)
else()
	message(WARNING "Unknown system type is ${CMAKE_SYSTEM_NAME}")
endif()

set(XTRXLL_LIBRARY_DIR      lib${LIB_SUFFIX})
set(XTRXLL_INCLUDE_DIR      include)
set(XTRXLL_UTILS_DIR        ${XTRXLL_LIBRARY_DIR}/xtrxll)

CONFIGURE_FILE(
	${CMAKE_CURRENT_SOURCE_DIR}/libxtrxll.pc.in
	${CMAKE_CURRENT_BINARY_DIR}/libxtrxll.pc
	@ONLY)

INSTALL(
	FILES ${CMAKE_CURRENT_BINARY_DIR}/libxtrxll.pc
	DESTINATION ${XTRXLL_LIBRARY_DIR}/pkgconfig)

# Report all undfined symbols in shared libraries
if(CMAKE_COMPILER_IS_GNUCC)
	add_definitions("-Wl,-z,defs")
endif(CMAKE_COMPILER_IS_GNUCC)


add_definitions(-Wall -g)

option(XTRXLL_STATIC "XTRXLL Static plugin linkage" ON)
if(XTRXLL_STATIC)
	set(PLUGIN_TYPE STATIC)
else(XTRXLL_STATIC)
	set(PLUGIN_TYPE SHARED)
endif(XTRXLL_STATIC)

###############################################################################
# protocol specific drivers
###############################################################################
option(ENABLE_PCIE    "Enable PCIe Low-level XTRX driver"    ON)
option(ENABLE_USB3380 "Enable USB3380 Low-level XTRX driver" ON)

find_package(libusb3380)
if(NOT LIBUSB3380_FOUND)
	if(ENABLE_USB3380)
		message(WARNING "No USB3380 support, install libusb3380 to enable it")
		set(ENABLE_USB3380 OFF)
	endif(ENABLE_USB3380)
endif(NOT LIBUSB3380_FOUND)

if(ENABLE_PCIE)
	add_subdirectory(mod_pcie)
	message(STATUS "xtrxll: PCIe support enabled")
endif(ENABLE_PCIE)

if(ENABLE_USB3380)
	add_subdirectory(mod_usb3380)
	message(STATUS "xtrxll: USB3380 support enabled")
endif(ENABLE_USB3380)

###############################################################################
# common files that shares among protocol specific drivers
###############################################################################
if(ENABLE_PCIE)
	add_definitions(-DENABLE_PCIE)
endif(ENABLE_PCIE)
if(ENABLE_USB3380)
	add_definitions(-DENABLE_USB3380)
endif(ENABLE_USB3380)
if(XTRXLL_STATIC)
	add_definitions(-DXTRXLL_STATIC)
endif(XTRXLL_STATIC)

add_library(xtrxll SHARED
	xtrxll_log.c xtrxll_port.c xtrxll_base.c xtrxll_base_pcie.c
	xtrxll_mmcm.c xtrxll_flash.c xtrxll_api.c)
target_link_libraries(xtrxll ${SYSTEM_LIBS})
if(XTRXLL_STATIC AND ENABLE_PCIE)
	target_link_libraries(xtrxll xtrxll_pcie)
endif()
if(XTRXLL_STATIC AND ENABLE_USB3380)
	target_link_libraries(xtrxll xtrxll_libusb3380)
endif()
set_target_properties(xtrxll PROPERTIES VERSION ${LIBVER} SOVERSION ${MAJOR_VERSION})


add_subdirectory(tests)
install(TARGETS xtrxll DESTINATION ${XTRXLL_LIBRARY_DIR})


########################################################################
# install headers
########################################################################
install(FILES
	xtrxll_api.h
	xtrxll_port.h
	xtrxll_log.h
	xtrxll_mmcm.h
	xtrxll_flash.h
	DESTINATION ${XTRXLL_INCLUDE_DIR})

########################################################################
# package generator
########################################################################
if(NOT CPACK_GENERATOR)
	set(CPACK_GENERATOR DEB)
endif()
set(CPACK_PACKAGE_NAME                "libxtrxll")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "XTRX Low-level API library")
set(CPACK_PACKAGE_VENDOR              "Fairwaves, Inc.")
set(CPACK_PACKAGE_CONTACT             "http://fairwaves.co/wp/contact-us/")
set(CPACK_PACKAGE_VERSION             ${LIBVER}-${MAINT_VERSION})
set(CPACK_DEBIAN_PACKAGE_DEPENDS      "libc6 (>= 2.17)")
if(ENABLE_USB3380)
	set(CPACK_DEBIAN_PACKAGE_DEPENDS      "${CPACK_DEBIAN_PACKAGE_DEPENDS}, libusb3380 (>= 0.0.1)")
endif(ENABLE_USB3380)

set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")
set(CPACK_SET_DESTDIR               "")
set(CPACK_PACKAGING_INSTALL_PREFIX  "/usr")
set(CPACK_PACKAGE_CONTACT           "Sergey Kostanbaev <sergey.kostanbaev@fairwaves.co>")

include(CPack) #include last

=== mod_usb3380/CMakeLists.txt ===
# USB3380 module for LL
include_directories(..)
include_directories(${LIBUSB3380_INCLUDE_DIRS})

if(XTRXLL_STATIC)
    if(CMAKE_SYSTEM_NAME MATCHES "Linux")
        add_definitions(-fPIC)
    endif()
    add_definitions(-DXTRXLL_STATIC)
endif()

add_library(xtrxll_libusb3380 ${PLUGIN_TYPE} xtrxll_libusb3380.c)
target_include_directories(xtrxll_libusb3380 PUBLIC ${LIBUSB_1_INCLUDE_DIRS})
if(NOT XTRXLL_STATIC)
    target_link_libraries(xtrxll_libusb3380 xtrxll ${LIBUSB3380_LIBRARIES})
    set_target_properties(xtrxll_libusb3380 PROPERTIES VERSION ${LIBVER} SOVERSION ${MAJOR_VERSION})

    install(TARGETS xtrxll_libusb3380 DESTINATION ${XTRXLL_LIBRARY_DIR})
else()
    target_link_libraries(xtrxll_libusb3380 ${LIBUSB3380_LIBRARIES})
endif()


########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for xtrx" OFF)
if (INSTALL_UDEV_RULES)
    set(UDEV_RULES_PATH
        "/etc/udev/rules.d"
        CACHE STRING
        "Target directory for udev rule installation. Ensure you have permissions to write to this directory."
        )
    install (
        FILES udev/50-xtrx-usb3380.rules
        DESTINATION ${UDEV_RULES_PATH}
        COMPONENT "xtrx-usb"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

=== debian/changelog ===
libxtrxll (0.0.1+git20201202.1b6eddf-1.2deepin1) unstable; urgency=medium

  * revert t64

 -- Chang Yang <yangchang@deepin.org>  Tue, 22 Jul 2025 11:49:04 +0800

libxtrxll (0.0.1+git20201202.1b6eddf-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062737

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 21:07:30 +0000

libxtrxll (0.0.1+git20201202.1b6eddf-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10).
    (Closes: #1056925).

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 Nov 2023 20:43:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libxtrxll
 Priority: optional
 Maintainer: Sepi Gair <sepigair@email.cz>
-Build-Depends: debhelper-compat (= 12), cmake, libusb-1.0-0-dev, libusb3380-dev
-Standards-Version: 4.4.1
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), cmake, libusb-1.0-0-dev, libusb3380-dev
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/xtrx-sdr/libxtrxll
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/libxtrxll

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,15 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
+		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 		-DXTRXLL_STATIC=OFF
 
 override_dh_installudev:
 	cp mod_usb3380/udev/50-xtrx-usb3380.rules debian/libxtrxll0.udev
 	dh_installudev --priority=50
+	# This should be harmless after dh_installudev changes its default install path.
+	set -e; if test -d debian/libxtrxll0/lib/udev/rules.d; then mv debian/libxtrxll0/lib/udev debian/libxtrxll0/usr/lib; fi
+	set -e; if test -d debian/libxtrxll0/lib; then rmdir debian/libxtrxll0/lib; fi
 
 override_dh_clean:
 	rm -f debian/libxtrxll0.udev
